Subject: Re: [PATCH v2 1/6] builtin/rm.c: use narrower "USE_THE_INDEX_VARIABLE"

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Feb 2023 11:29:34 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> Replace the "USE_THE_INDEX_COMPATIBILITY_MACROS" define with the
> narrower "USE_THE_INDEX_VARIABLE". This could have been done in
> 07047d68294 (cocci: apply "pending" index-compatibility to some
> "builtin/*.c", 2022-11-19), but I missed it at the time.

It's a minor thing but can we stop saying "I did X" or "I didn't do
X".  It is not just your fault that this was missed.  Reviewers also
failed to spot it but we are not in the blame passing game.  "but it
was forgotten", "but it was missed", or "but nobody noticed it"
would suffice.

The patch is of course good.  For this kind of change, if it
compiles, it cannot be incorrect ;-)

Thanks.